From: Earnie [mailto:earnie@users.sourceforge.net]
Sent: Wednesday, April 27, 2011 10:24 AM
To: MinGW Users List
Subject: Re: [Mingw-users] Updated: msys-perl-5.8.8-1

David Gressett wrote:
> When I tried the upgrade I got a huge swarm of messages like the one below. I have never seen this before,
> all previous mingw and msys upgrades and installs have worked perfectly.
> mingw-get: *** WARNING *** c:\mingw\/msys/1.0/lib/perl5/5.6/unicode/In/IPAExtensions.pl:unlink failed; Permission denied

Do you have something using the file? Windows will not unlink an opened
file.

--
Earnie
-- http://www.for-my-kids.com

 It seems unlikely. I haven't used msys at all since my last reboot, and the msys bin directory is not in my Windows path, The new version seems to have installed. I started msys and tried perl --version and it informed me that 5.8.8 is the installed perl.
 
I tried the upgrade again. Usually, a duplicate mingw-get upgrade just removes the stuff being upgraded and immediately puts it back again, but this time I got a very similar swarm of error messages, but they all referred to the new 5.8.8 files.